
Core - Task # 54234

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54267 (Resolved): As an Editor I want to use a FAL withouth bugs

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-12-06 Assigned To: Steffen Ritter
Updated: 2014-03-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Prevent creation of FileObjects for ProcessedFiles
Description

Related issues:
related to Core - Bug # 51699: Processing folder must not be visible in storage Closed 2013-09-03
related to Core - Bug # 56786: Index on sys_file_processedfile is too large Resolved 2014-03-11

Associated revisions
Revision 8654649d - 2014-03-11 10:21 - Steffen Ritter

[TASK] Return ProcessedFile instead of File if possible

You can query the FAL-API for files by their filename. If the file resides
in the processing-folder of a storage it is a valid file to the storage.
Therefore creating a file-object and indexing it would be a valid thing.

Since this is not intended additionally to the storage the ResourceFactory
must know about that, too. This change implements this awareness, so there
is no way to create a FileObject for files which reside within the
processing folder.
In 6.0 and 6.1 there has been a dirty workaround for that by marking those
files as not indexable which was removed silently when introducing the new
indexer.

Releases: 6.2
Resolves: #54234
Change-Id: I274c47717560a6efc175fa94aacc4770a578fd3f
Reviewed-on: https://review.typo3.org/27753
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision aa1fb872 - 2014-03-12 01:41 - Ernesto Baschny

[BUGFIX] Index on sys_file_processedfile is too large

Resolves: #56786
Related: #54234
Releases: 6.2
Change-Id: I9c91f3e989e65df559542135d0b84025dacbbaf2
Reviewed-on: https://review.typo3.org/28272
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Marcin Sągol
Tested-by: Marcin Sągol
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 7d80f335 - 2014-03-15 22:02 - Ernesto Baschny

[BUGFIX] Index on sys_file_processedfile is still too large

On some systems even "332" characters is too large. To also cope with
potential utf8mb4 setups (1 char = 4 bytes), and staying under 1000 byte
limit, we reduce the amount of characters in the index to 249.

Resolves: #56786
Related: #54234
Releases: 6.2
Change-Id: I79452224f37ec2b6ca5b3a35044144eed787df67
Reviewed-on: https://review.typo3.org/28429
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History
#1 - 2013-12-07 15:56 - Steffen Ritter
- Subject changed from Prevent creation of FileObjects to Prevent creation of FileObjects for ProcessedFiles

#2 - 2013-12-07 16:00 - Steffen Ritter
- Parent task set to #54267

#3 - 2013-12-30 20:35 - Stefan Neufeind

I'm not sure if that's also within scope of this patch but: Maybe trying to be able to fetch a processed-file directly giving an ID, storage and the
configuration? Currently when fetching a resized image from fluid and giving it's FAL-uid first that file-object is fetched/created, process() called and
then we get the processedFile. But using the ID it might even be possible to skip creating (and fetching from DB) the original file.

#4 - 2014-02-20 13:32 - Steffen Ritter
- % Done changed from 0 to 70

#5 - 2014-02-20 13:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27753
#6 - 2014-03-10 12:55 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27753

#7 - 2014-03-10 12:57 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27753

#8 - 2014-03-10 13:00 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27753

#9 - 2014-03-10 16:02 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27753

#10 - 2014-03-11 09:50 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27753

#11 - 2014-03-11 10:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:8654649d6e2da5b0db246bd8401276a638756748.
